<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm"  autocomplete="off">
    <h2>
        <span>Tambah Data PIC Baru</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="ui-g-12">
                <div class="ui-g-2">
                    <label  class="form-control-label" for="field_pic">Nama PIC</label>
                </div>
                <div class="ui-g-10">
                    <p-autoComplete [(ngModel)]="newpic" [suggestions]="filteredpic"
                        (completeMethod)="filterpicSingle($event)" [size]="34" name="pic" [minLength]="1"
                        field="login" placeholder="Please Select Or Insert" (onSelect)="selectpic(true)"
                        [dropdown]="true"></p-autoComplete>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="ui-g-2">
                    <label class="form-control-label" for="field_nmspl">Type Barang</label>
                </div>
                <div class="ui-g-4">
                    <select class="form-control" id="field_divition" name="divReciver" [(ngModel)]="newpType">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">{{divitionOption.label}}</option>
                    </select>
                </div>
            </div>
            <!-- <div class="ui-g-12">
                <div class="ui-g-2">
                    <label class="form-control-label" for="field_nmspl">Type Produk</label>
                </div>
                <div class="ui-g-10">
                    <p-autoComplete [(ngModel)]="newpType" [suggestions]="filteredpType"
                        (completeMethod)="filterpTypeSingle($event)" [size]="34" name="pType" [minLength]="1"
                        field="pType" placeholder="Please Select Or Insert" (onSelect)="selectpType(true)"
                        [dropdown]="true"></p-autoComplete>
                </div>
            </div> -->
            <div class="ui-g-12">
                <div class="ui-g-2">
                    <label class="form-control-label" for="field_dtfrom">Tanggal dari</label>
                </div>
                <div class="ui-g-10">
                    <p-calendar inputId="input_dtfrom" name="input_dtfrom" [(ngModel)]="picRole.dtFrom"
                    dateFormat="dd-mm-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"></p-calendar>
                </div>
            </div>
            <!-- <div class="ui-g-12">
                <div class="ui-g-2">
                    <label class="form-control-label" for="field_dtthru">Tanggal Sampai</label>
                </div>
                <div class="ui-g-10">
                    <p-calendar inputId="input_dtthru" name="input_dtthru" [(ngModel)]="picRole.dtThru"
                dateFormat="dd-mm-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"></p-calendar>
                </div>
            </div> -->
            <div class="ui-g-12">
                <hr>
                <div style="text-align: right">
                    <button pButton type="submit"
                        label="Simpan"
                        icon="fa-save"
                        class="ui-button-danger flat-label-button">
                    </button>
                    <button pButton class="btn btn-primary btn-sm float-right" 
                    (click)="back()"
                    label="Kembali"
                    class="ui-button-danger flat-label-button">
                    </button>
                </div>
            </div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
            <div class="ui-g-12"></div>
        </div>
    </div>
